Groovy Documentation

## groovy.transform
[Java] Annotation Type TypeChecked

    java.lang.Object
      groovy.transform.TypeChecked

    @Retention(RetentionPolicy.SOURCE)
    @Target({   ElementType.METHOD,         ElementType.TYPE,
                ElementType.CONSTRUCTOR
    })
    @GroovyASTTransformationClass("org.codehaus.groovy.transform.StaticTypesTransformation")
    public @interface TypeChecked

This will let the Groovy compiler use compile time checks in the style of Java.

Authors:
  Jochen "blackdrag" Theodorou

Nested Class Summary

`@interface`

`TypeChecked.TypeCheckingInfo`

This annotation is added by

TypeChecked:
  on methods which have type checking turned on.

Optional Element Summary
`java.lang.Class` | `pluginFactory` @default TypeCheckerPluginFactory.class
`TypeCheckingMode` | `value` @default TypeCheckingMode.PASS

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### pluginFactory

    public java.lang.Class pluginFactory

  @default TypeCheckerPluginFactory.class

### value

    public TypeCheckingMode value

  @default TypeCheckingMode.PASS

Groovy Documentation